---
title: divisor
slug: Web/SVG/Attribute/divisor
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>divisor</code></strong> attribute specifies the value by which the resulting number of applying the {{SVGAttr("kernelMatrix")}} of a {{SVGElement("feConvolveMatrix")}} element to the input image color value is divided to yield the destination color value.</span> A divisor that is the sum of all the matrix values tends to have an evening effect on the overall color intensity of the result.</p>

<p>Only one element is using this attribute: {{SVGElement("feConvolveMatrix")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[3,6]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="convolveMatrix1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feConvolveMatrix kernelMatrix="1 2 0 0 0 0 0 0 -1" divisor="1"/&gt;
  &lt;/filter&gt;
  &lt;filter id="convolveMatrix2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feConvolveMatrix kernelMatrix="1 2 0 0 0 0 0 0 -1" divisor="8"/&gt;
  &lt;/filter&gt;

  &lt;image xlink:href="//developer.mozilla.org/files/6457/mdn_logo_only_color.png" width="200" height="200"
      style="filter:url(#convolveMatrix1);"/&gt;
  &lt;image xlink:href="//developer.mozilla.org/files/6457/mdn_logo_only_color.png" width="200" height="200"
      style="filter:url(#convolveMatrix2); transform:translateX(220px);"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>Sum of all values in {{SVGAttr("kernelMatrix")}} or <code>1</code> if sum is 0</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value defines the divisor. If the specified divisor is <code><span class="css">0</span></code> then the default value will be used instead.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-feconvolvematrix-divisor", "divisor")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feConvolveMatrixElementDivisorAttribute", "divisor")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feConvolveMatrix.divisor")}}</p>
